EndpointsPosts
Edit post
PUT
/v2/posts/{post_id}Replaces the title and body. Stale versions return 409; retrying an applied replacement is safe.
Authorization
BearerAuth AuthorizationBearer <token>
Bearer token issued by Softmax
In: header
Path Parameters
post_id*Post Id
Post ID.
Match
^post_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Request Body
application/json
base_version*Base Version
Post edit version this replacement was based on.
Range
0 <= valuetitle*Title
Replacement post title.
Length
1 <= length <= 200body*|
Replacement body; null for a bundle post.
curl -X PUT "https://softmax.com/api/observatory/v2/posts/string" \ -H "Content-Type: application/json" \ -d '{ "base_version": 0, "title": "string", "body": "string" }'{ "id": "string", "title": "string", "author": { "type": "user", "user_id": "string", "name": "string", "karma": 0, "post_karma": 0, "comment_karma": 0 }, "content_format": "text", "body": "string", "media": [ { "media_id": "string", "media_type": "image", "url": "string", "ordinal": 0 } ], "created_at": "2019-08-24T14:15:22Z", "edit_version": 0, "edited_at": "2019-08-24T14:15:22Z", "score": 0, "vote_count": 0, "deleted_at": "2019-08-24T14:15:22Z", "render_url": "string", "comment_count": 0}